Minimum Number of K Consecutive Bit Flips | 3 Approaches | Detailed | Leetcode 995 | 3191

  Рет қаралды 10,073

codestorywithMIK

codestorywithMIK

Күн бұрын

Пікірлер: 93
@DevOpskagyaan
@DevOpskagyaan 5 ай бұрын
I can see the hard work in this video. There were few videos only for this problem on KZbin which i tried watching in the morning. They wasted my time. And this legend makes a video of 1 hour to clear all my doubts . Guruji 🙏🏻🙏🏻🙏🏻 aap kamaal ho
@SlapB0X
@SlapB0X 5 ай бұрын
For the first time, I could solve a Hard question in 15 minutes myself. And like you said, it was only possible because I had solved a similar question before. In the biweekly, there was a similar question where k was fixed = 3. I figured it out during the contest that it's greedy approach. Even in this question, I instantly knew it was greedy. Now, to tackle with variable "k" , I had solved a similar question using "Scanline Algorithm" and instantly I knew how to tackle with "k" . The final solution consisted of combining these two, and I had already solved similar questions before, this hard became literally easy-medium.
@gauravbhatt6581
@gauravbhatt6581 5 ай бұрын
Tried other KZbinrs videos on this topic, couldn't understand, here you cleared everything
@Zomb-zj4ip
@Zomb-zj4ip 5 ай бұрын
bhai tussi great ho . thank you
@gui-codes
@gui-codes 5 ай бұрын
subah se pareshan tha. I watched Larry's video but kuch samajh nahi aya. Finally I understood each and every point. thanks a lot . I will also say -> NETFLIX ❌ MIK Lengthy video 💚
@aws_handles
@aws_handles 5 ай бұрын
Larry ka nai samajh aata . But banda legend corer hai
@adsnehi
@adsnehi 5 ай бұрын
I love netfflix, DSA is very painful for my brain
@newglobal7271
@newglobal7271 5 ай бұрын
@@adsnehi 😂😂😂😂🤣🤣
@gui-codes
@gui-codes 4 ай бұрын
@@adsnehi 🤣
@akshayyn
@akshayyn 4 ай бұрын
I love your explanations! The way you slowly build up intuition from examples really helps. Most other videos just go over the top solutions, without getting into the intuition, which may lead to memorizing solutions.
@shreyabajaj4588
@shreyabajaj4588 5 ай бұрын
Oohh thanks a lot for such a clear explanation.....❤ ignore the people who all are saying vdo is lengthy....if they got the concept at the starting they can even do it by themselves rather then complaining
@Dungeon550
@Dungeon550 5 ай бұрын
Only Mik can make this Hard question's explaination an easy one
@aws_handles
@aws_handles 5 ай бұрын
I believe no one has the patience to cover even every minute points in the explanation . Hats off to you
@b_01_aditidonode43
@b_01_aditidonode43 5 ай бұрын
Enjoyed learning the intuition of this problem a lot and the best part is that all the three approaches were beautifully connected, now this hard level prob also feels like a cakewalk!! thanks a lot!!
@j2f42
@j2f42 5 ай бұрын
very very nice explanation than all others whom i warched this. thanks keep it up
@raunakgiri5033
@raunakgiri5033 5 ай бұрын
Watched till 25:15 , then i was able to do it by my own. Thanks for helping me building the intuition.
@raunakgiri5033
@raunakgiri5033 5 ай бұрын
*Javascript Code:* var minKBitFlips = function(nums, k) { let res = 0; let currFlipCount = 0; for(let i=0;i=0 && nums[i-k]===-1) { currFlipCount--; } if((currFlipCount%2===0 && nums[i]===0) || (currFlipCount%2===1 && nums[i]===1)) { if(i+k>nums.length) return -1; nums[i] = -1; currFlipCount++; res++; } } return res; };
@Harsh_Narayan-zz3lh
@Harsh_Narayan-zz3lh 5 ай бұрын
Thankssss bhaiya, smash aa raha hi apki videos...
@priyanshkumar17
@priyanshkumar17 5 ай бұрын
Excellent explanation of how to use the isFlipped array bhaiya!!! Thanks... I was stuck on this question for a long time!! Please keep uploading
@nexus198
@nexus198 5 ай бұрын
Awesome explanation! Keep it up.
@ugcwithaddi
@ugcwithaddi 5 ай бұрын
Wow. Solving leetcode 3191 was insane 😮
@gauravbanerjee2898
@gauravbanerjee2898 5 ай бұрын
Jeetu Bhaiya from Kota Factory == MIK Bhaiya from DSA Industry ❤️❤️ Thank you so much bhaiya itna time leke itna easily samjhane k liye ❤️ And those who are saying why 1 hour long video, guys please understand it is impossible for bhaiya to explain in this much details with multiple dry runs within 15-20 mins. If you don't have time to watch a 1 hour long video and want to solve a leetcode hard problem just for the sake of maintaining a streak then don't do it . Belive me 1 hour deke dekho regret nahi karoge 😊💯
@gui-codes
@gui-codes 4 ай бұрын
bhai tumhara ye comment instagram and linkedIn me kaafi reach me ja raha hai. MIK posted about this comment 👍
@ravirathore6717
@ravirathore6717 5 ай бұрын
Very nice explanation sir❤
@AryanRaj-mz4ty
@AryanRaj-mz4ty 5 ай бұрын
great explanation
@nikhilhaspe2734
@nikhilhaspe2734 5 ай бұрын
Bro your contribution is amazing! matlab ye video recording he 1 Hr ka hai to preparation aur apko samajhane me kitna samay aur efforts lage hoge. Hats Bro!! 🗿
@dipakjadhav1579
@dipakjadhav1579 5 ай бұрын
No one on this KZbin platform , i understand this problem from them but after seeing this video of MIK Bhaiya it is in very interesting way he solved that and I learnt from him
@yashkalia2311
@yashkalia2311 5 ай бұрын
i made it myself thankfulllyyyy!!!
@GR8_Impact
@GR8_Impact 5 ай бұрын
I solved LC Contest Question with Bruteforce during contest as value of k was 3 :)
@girishkumar8894
@girishkumar8894 5 ай бұрын
Thank you so much 🙏
@iWontFakeIt
@iWontFakeIt 5 ай бұрын
love u guruji!
@parvahuja7618
@parvahuja7618 5 ай бұрын
thankyou so much bhaii
@literally_ankur
@literally_ankur 5 ай бұрын
Absolute cinema
@bunnypubg3475
@bunnypubg3475 5 ай бұрын
Kya baat hai sir, sochraha hu apna bhi ek channel khol lun, padhane se khud ko bhi zyda smjh ata hoga… aap Konsi company mei ho?
@VaibhavChawla-lz4fi
@VaibhavChawla-lz4fi 5 ай бұрын
Hats off bhai🫡
@nikhilaggarwal9325
@nikhilaggarwal9325 5 ай бұрын
Great explanation
@thekindspill
@thekindspill 5 ай бұрын
Insane explanation 😳🔥 And 38:13 was awesome 🙌
@asadneyaz2317
@asadneyaz2317 5 ай бұрын
Please make videos of contest upsolve
@riyasahu7373
@riyasahu7373 5 ай бұрын
Thanks mik, for such a detailed video, can you also pls discuss the solution for leetcode 3192.
@englishbetz6748
@englishbetz6748 5 ай бұрын
bhai ho sake to brute force bhi explain kiya kro taki jo new log h logic banane ka try kr rhe h unko bhi samjh aye chize acche se.
@pokeindia5361
@pokeindia5361 5 ай бұрын
Bhaiya *longest valid parantheses* important q h please video banaiye aapne bola tha ki weekend par banaunga
@A_Myth963
@A_Myth963 5 ай бұрын
we can also use if( (nums[i] + flipcnt ) % 2 == 0) then we will flip
@atharvachikhale7338
@atharvachikhale7338 5 ай бұрын
imp dry run 19:52
@nawazthezaifre8870
@nawazthezaifre8870 5 ай бұрын
Sir, everything was good but please make a length video shorter.
@atheisth2373
@atheisth2373 5 ай бұрын
Kya ye ques hard tha ...No is video ke baad , not at all , it was super easy....
@gsgpavan1897
@gsgpavan1897 5 ай бұрын
Hi MIK, I have a doubt regarding approach 3. Why we have used deque instead of queue. Is there any particular reason for using deque because both enqueue and dequeue operations in both queue and deque take same time O(1)..
@manimanohar_001
@manimanohar_001 5 ай бұрын
Bor bit manipulation playlist pls😎🙏
@tanishkumar6682
@tanishkumar6682 2 ай бұрын
how are we sure that the the way we are flipping the bits (means choosing the leftmost 0 at every step) will give the minimum number of moves. Can you please explain that bcz i searched on youtube but i did not got any satisfying answer.
@nileshtiwari4143
@nileshtiwari4143 5 ай бұрын
class Solution { public: int minKBitFlips(vector& nums, int k) { int count = 0; int n = nums.size(); for (int i = 0; i < n; i++) { if (nums[i] == 0) { //check kya i+k > n ho gya hai tb -1 return kr do if (i + k > n) return -1; for (int j = 0; j < k; j++) { nums[i + j] ^= 1; } count++; } } // check humara sara nums 1 ho gya hai kya for (int i = 0; i < n; i++) { if (nums[i] == 0) return -1; } return count; } }; mik bhaia brute force approach🙏🙏🙏🙏
@priyanshkumar17
@priyanshkumar17 5 ай бұрын
Bhaiya, Approach-2 mai aapne nums ko hii modify kiya hai, toh vo bhi toh space complexity mai count hona chahiye naa ? isFlipped nhi liya lekin data tamper kiya hai, toh space used should also be O(n) in approach-2
@adityaraj-zm7zk
@adityaraj-zm7zk 5 ай бұрын
bhaiya please provide slides in all the next question please
@chitranshjain9714
@chitranshjain9714 5 ай бұрын
Bhaiya aap dp concept? Kab start karenge
@madhurverma1208
@madhurverma1208 5 ай бұрын
Minimum Operations to Make Binary Array Elements Equal to One II , can we solve this with same approach ??
@Abhishek-y6i3j
@Abhishek-y6i3j 5 ай бұрын
bro i am following you for very long time , but one suggestion of mine is don't make too much large video you can explain the logic by one good testcase . We can not spent 1 hrs for one question so please try to make it as short as you can .
@codestorywithMIK
@codestorywithMIK 5 ай бұрын
Sure I will try to reduce 😇❤️🙏
@kapilnitb
@kapilnitb 5 ай бұрын
@@codestorywithMIK esa kr skte ho ki normal km length ke hisab se explain krdo aur fir 10-15min ka detail dry run dal do sath me jinko detailed chahiye aur jinko normal chahiye vo skip kr lenge aur video me bta bhi dena if you have less time you can skip. sayad aap smaj pa rhe ho ki me kya bolna chah rha
@Abhishek-y6i3j
@Abhishek-y6i3j 5 ай бұрын
@@codestorywithMIK thanks 😇
@gui-codes
@gui-codes 5 ай бұрын
COPIED FROM VIDEO DESCRIPTION ✨ Timelines✨ 00:00 - Introduction 00:55 - Problem Explanation 06:57 - Thought Process Approach-1 44:05 - Coding Approach-1 46:23 - Approach-2 49:52 - Coding Approach-2 50:43 - Approach-3 01:00:03 - Coding Approach-3 01:02:03 - Solving Leetcode 3191. Minimum Operations to Make Binary Array Elements Equal to One I
@Abhay14
@Abhay14 5 ай бұрын
TLE (burite force) class Solution { public: int solve(vector&nums, int i, int temp){ while(i < temp){ nums[i] = 1-nums[i]; i++; } return 1; } int minKBitFlips(vector& nums, int k) { int count = 0; for(int i=0; i
@ujjwalsharma6773
@ujjwalsharma6773 5 ай бұрын
Why is it always google asking these kinda problems🙃
@sanjai_rs7
@sanjai_rs7 5 ай бұрын
Can you do it in English?
@devlpr-nitish
@devlpr-nitish 5 ай бұрын
❤❤
@tusharnanda3885
@tusharnanda3885 5 ай бұрын
class Solution { public: int minKBitFlips(vector& nums, int k) { int n = nums.size(); vector pre(n+2 , 0); int i = 1, j = k; int ans = 0; while( j
@dayashankarlakhotia4943
@dayashankarlakhotia4943 5 ай бұрын
it is modified problem of leetcode 3191&3192?🎉❤
@codestorywithMIK
@codestorywithMIK 5 ай бұрын
Indeed. I have solved 3191 in the end of this video ❤️❤️❤️
@ramandeepsingh8464
@ramandeepsingh8464 5 ай бұрын
@@codestorywithMIK bhiya perfact samjhaya katai zeher explaination
@sharadjishukla3297
@sharadjishukla3297 5 ай бұрын
i was able to come up with brute force only // Brute Force void toggleBit(vector &nums, int temp) { if (nums[temp] == 0) nums[temp] = 1; else nums[temp] = 0; } int minKBitFlips(vector &nums, int k) { int i = 0, j = i + k - 1, count = 0; while (j < nums.size()) { if (nums[i] == 0) { int temp = i; count++; while (temp
@ara3368
@ara3368 5 ай бұрын
No need to create toggle function. For toggling use: nums[i] = 1 - nums[i]
@ishowclipsss07
@ishowclipsss07 5 ай бұрын
bhai 20-30 min max rakho video length
@gui-codes
@gui-codes 5 ай бұрын
lengthy - more details and more to learn.
@ishowclipsss07
@ishowclipsss07 5 ай бұрын
@@gui-codes 🙏🙏par 1 hour bahut jyada hai bhai 30 min should be max
@kartikforwork
@kartikforwork 5 ай бұрын
nope as detailed as possible, new logo ko kafi help hoti h. aur 2-3 approach me ye expected h bor
@jeehub041
@jeehub041 5 ай бұрын
Sir ye question thoda dimaag ghuma dia. 😢
@VS-rc4fs
@VS-rc4fs 5 ай бұрын
Bhaiya.. Itni lambi lambi video na banao plss😢
@harshtiwari416
@harshtiwari416 5 ай бұрын
Badi video mein hi clear hota
@manimanohar_001
@manimanohar_001 5 ай бұрын
Bro Jo content hoga vohi toh banayenge aur HARD bhi toh hai question 😊
@ishowclipsss07
@ishowclipsss07 5 ай бұрын
sahi mai bhai
@manimanohar_001
@manimanohar_001 5 ай бұрын
@@harshtiwari416 yes
@gui-codes
@gui-codes 5 ай бұрын
Bhai, lengthy = more details = more to learn.
@Engineering.Wallah
@Engineering.Wallah 5 ай бұрын
//int n=nums.size(),ans=0; //for(int i=0;i
@UECAshutoshKumar
@UECAshutoshKumar 5 ай бұрын
Thank You!
@__ankush_kushwaha
@__ankush_kushwaha 5 ай бұрын
❤❤❤
快乐总是短暂的!😂 #搞笑夫妻 #爱美食爱生活 #搞笑达人
00:14
朱大帅and依美姐
Рет қаралды 12 МЛН
Thank you Santa
00:13
Nadir Show
Рет қаралды 21 МЛН
Disrespect or Respect 💔❤️
00:27
Thiago Productions
Рет қаралды 43 МЛН
I Solved 1583 Leetcode Questions  Here's What I Learned
20:37
ThePrimeTime
Рет қаралды 736 М.
How to Solve ANY LeetCode Problem (Step-by-Step)
12:37
Codebagel
Рет қаралды 300 М.
Dynamic Programming isn't too hard. You just don't know what it is.
22:31
DecodingIntuition
Рет қаралды 197 М.